Bug 195914 - Only root can use dvb DViCO hdtv.
Only root can use dvb DViCO hdtv.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-19 11:39 EDT by sangu
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.99.5.0-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-03 12:08:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sangu 2006-06-19 11:39:33 EDT
Description of problem:
to normal user
$mplayer dvb://channel
[...]
DVB_CONFIG, can't open device /dev/dvb/adapter0/frontend0, skipping
DVB_CONFIG, can't open device /dev/dvb/adapter1/frontend0, skipping
DVB_CONFIG, can't open device /dev/dvb/adapter2/frontend0, skipping
DVB_CONFIG, can't open device /dev/dvb/adapter3/frontend0, skipping
[...]
But can watch dvb with mplayer to root
$sudo mplayer dvb://channel
[...]
$ls -alR dvb
dvb:
total 0
drwxr-xr-x  3 root root   60 Jun 19 10:28 .
drwxr-xr-x 12 root root 4240 Jun 19 10:28 ..
drwxr-xr-x  2 root root  120 Jun 19 10:28 adapter0

dvb/adapter0:
total 0
drwxr-xr-x 2 root root    120 Jun 19 10:28 .
drwxr-xr-x 3 root root     60 Jun 19 10:28 ..
crw-rw---- 1 root root 212, 4 Jun 19 10:28 demux0
crw-rw---- 1 root root 212, 5 Jun 19 10:28 dvr0
crw-rw---- 1 root root 212, 3 Jun 19 10:28 frontend0
crw-rw---- 1 root root 212, 7 Jun 19 10:28 net0

Version-Release number of selected component (if applicable):
094-1

How reproducible:
always

Steps to Reproduce:
1. mplayer dvb://channel
2.
3.
  
Actual results:


Expected results:


Additional info:
$dmesg
[....]
usb 2-7: USB disconnect, address 4
dvb-usb: DViCO FusionHDTV5 USB Gold successfully deinitialized and disconnected.
usb 2-7: new high speed USB device using ehci_hcd and address 5
usb 2-7: configuration #1 chosen from 1 choice
dvb-usb: found a 'DViCO FusionHDTV5 USB Gold' in cold state, will try to load a
firmware
dvb-usb: downloading firmware from file 'dvb-usb-bluebird-01.fw'
usb 2-7: USB disconnect, address 5
dvb-usb: generic DVB-USB module successfully deinitialized and disconnected.
usb 2-7: new high speed USB device using ehci_hcd and address 6
usb 2-7: configuration #1 chosen from 1 choice
dvb-usb: found a 'DViCO FusionHDTV5 USB Gold' in warm state.
dvb-usb: will pass the complete MPEG2 transport stream to the software demuxer.
DVB: registering new adapter (DViCO FusionHDTV5 USB Gold).
DVB: registering frontend 0 (LG Electronics LGDT3303 VSB/QAM Frontend)...
input: IR-receiver inside an USB DVB receiver as /class/input/input4
dvb-usb: schedule remote query interval to 100 msecs.
dvb-usb: DViCO FusionHDTV5 USB Gold successfully initialized and connected.
Comment 1 Harald Hoyer 2006-06-20 04:08:35 EDT
You can let the console user own the devices if you configure it in
/etc/security/console.perms.d

$ rpm -qf /etc/security/console.perms.d
pam-0.99.3.0-2
Comment 2 sangu 2006-06-21 12:28:31 EDT
$ rpm -qf /etc/security/console.perms.d/
pam-0.99.4.0-5
Comment 3 Kostas Georgiou 2006-06-28 06:39:01 EDT
This wont work if you want to run something like mythtv which runs as a daemon.
What I do is to add MODE="0660", GROUP="video" in the dvb section of
/etc/udev/rules.d/50-udev.rules and add the users that I want to the "video" group.

Note You need to log in before you can comment on or make changes to this bug.